{% extends "common.html" %}
{% block title %}{{title}}{% endblock %}
{% block head %}
  {{ super() }}
{% endblock %}

{% block page %}{{title}}{% endblock %}
{% block content %}
<script type="text/javascript">
    $(function() {
        $('.form-horizontal').submit(function () {
            var serviceLevel;
            var formFields = $(this).serializeArray();
            var loader_alert = $('#statusAlert');

            $('.loader').show();
            loader_alert.html('Ваш запрос обрабатывается');

            $.ajax({
                url: '/request',
                data: 'request_type=namespace&' + $(this).serialize(),
                type: 'POST',
                timeout: 6000000,
                beforeSend: function () {
                    $('#statusAlert').removeClass('alert-danger').removeClass('alert-success').addClass('alert-info');
                    $('#statusAlert').show();
                    $.each(formFields, function (index, value) {
                        if (value.name != csrf_token) {
                            $('.namespace-form .' + value.name).removeClass('has-danger');
                            $('.namespace-form .' + value.name + ' .textError').empty();
                        }
                    });
                },
                success: function (response) {
                    var answer = JSON.parse(response);
                    if (!jQuery.isEmptyObject(answer.form_errors)) {
                        console.log(answer.form_errors);
                        loader_alert.addClass('alert-danger').removeClass('alert-info');
                        loader_alert.html("Во время проверки формы произошли ошибки. Исправьте их и попробуйте снова");
                        $.each(answer.form_errors, function (class_id, text) {
                            $('.namespace-form .' + class_id).addClass('has-danger');
                            $('.namespace-form .' + class_id + ' .textError').html(
                                "<div class='col-form-label text-danger'>" + text + "</div>").show();
                        });
                    } else if (!jQuery.isEmptyObject(answer.error)) {
                        loader_alert.addClass('alert-danger').removeClass('alert-info');
                        loader_alert.html("<strong>" + answer.error + "</strong>");
                    } else {
                        loader_alert.addClass('alert-success').removeClass('alert-info');
                        loader_alert.html("Заявка успешно создана:  <strong><a href=https://st.yandex-team.ru/" + answer.ticket + ">" +
                            answer.ticket + "</a></strong>");
                    }
                },
                error: function (error) {
                    console.log('error!');
                    console.log(error);
                }
            });
            return false
        });
    });
</script>
<div class="loader alert alert-info" style="display: none" id="statusAlert">
    <p>Заявка обрабатывается, ожидайте. Если сообщение висит слишком долго, значит что-то пошло не так.</p>
</div>
{{ macro.render_namespace_form(namespace_form) }}
{% endblock %}
